package MT::Plugin::ErrorHandler;
use strict;

use MT;
our $VERSION = '0.1';

use MT::Plugin;
use base qw( MT::Plugin );

@MT::Plugin::ErrorHandler::ISA = qw( MT::Plugin );

my $plugin = new MT::Plugin::ErrorHandler( {
    id   => 'ErrorHandler',
    key  => 'errorhandler',
    name => 'ErrorHandler',
    description => 'Override Error Handler for Dynamic Publishing.',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version  => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            block    => {
                'ErrorHandler' => \&_hdlr_pass_tokens,
            },
            function => {
                'Error' => \&_hdlr_error,
            },
        },
   } );
}

sub _hdlr_pass_tokens {
    my ( $ctx, $args, $cond ) = @_;
    $ctx->stash( 'builder' )->build( $ctx, $ctx->stash( 'tokens' ), $cond );
}

sub _hdlr_error {
    return 'The error occurred.';
}

1;